Bug 440186 - Default resolution to low 640x350
Default resolution to low 640x350
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 01:50 EDT by dex
Modified: 2008-05-18 17:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-18 17:58:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (39.12 KB, text/plain)
2008-04-02 01:50 EDT, dex
no flags Details
Xorg-log (56.07 KB, text/plain)
2008-04-14 13:26 EDT, dex
no flags Details

  None (edit)
Description dex 2008-04-02 01:50:07 EDT
Description of problem:

This is an alpha install updated to todays rawhide using KDE desktop. 
Xorg defaults to starting up in this really small resolution preventing
graphical login.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.901-13.20080314.fc9.i386

How reproducible:
install alpha

Steps to Reproduce:
1.
2.
3.
  
Actual results:
as stated

Expected results:
This monitor (acer F51) will do 1024x768

Additional info:
pressing ctrl-alt-[+/-] has no effect.
pressing ctrl-alt-bksp results in a totally blank screen xorg doesn't come back
and ctrl-alt-[F1..F7] has no effect leaving only ctrl-alt-del for a restart.
Xorg.2.log + xorg.conf attached.
Comment 1 dex 2008-04-02 01:50:07 EDT
Created attachment 300012 [details]
Xorg.0.log
Comment 2 Matěj Cepl 2008-04-03 02:54:01 EDT

*** This bug has been marked as a duplicate of 429183 ***
Comment 3 dex 2008-04-08 18:19:27 EDT
I need to reopen this bug as it has no relevance to #429183
 
Comment 4 dex 2008-04-14 13:26:16 EDT
Created attachment 302368 [details]
Xorg-log
Comment 5 dex 2008-04-14 13:27:26 EDT
I now see this in messages: xorg-x11-server-Xorg-1.4.99.901-21.20080407.fc9.i386


Apr 14 16:05:04 alpha9 kernel: klauncher[3848]: segfault at 8048814 ip 0052cda8
sp bfe81540 error 7 in libX11.so.6.2.0[517000+fd000]
Apr 14 16:06:35 alpha9 kernel: agpgart: Found an AGP 3.0 compliant device at
0000:00:00.0.
Apr 14 16:06:35 alpha9 kernel: agpgart: Putting AGP V3 device at 0000:00:00.0
into 8x mode
Apr 14 16:06:35 alpha9 kernel: agpgart: Putting AGP V3 device at 0000:03:00.0
into 8x mode
Apr 14 16:06:35 alpha9 acpid: client connected from 3521[0:0]
Apr 14 16:06:35 alpha9 kernel: [drm] Setting GART location based on new memory map
Apr 14 16:06:35 alpha9 kernel: [drm] Loading R200 Microcode
Apr 14 16:06:35 alpha9 kernel: [drm] writeback test succeeded in 1 usecs
Apr 14 16:07:52 alpha9 kernel: BUG: unable to handle kernel paging request at
f8a45e08
Apr 14 16:07:52 alpha9 kernel: IP: [<f8bdf4e2>]
:radeon:radeon_driver_lastclose+0x17/0x31
Apr 14 16:07:52 alpha9 kernel: *pde = 37813067 *pte = 00000000 
Apr 14 16:07:52 alpha9 kernel: Oops: 0000 [#1] SMP 
Apr 14 16:07:52 alpha9 kernel: Modules linked in: radeon drm w83627hf hwmon_vid
hwmon ipv6 ipt_REJECT xt_tcpudp nf_conntrack_ipv4 xt_state nf_conntrack
iptable_filter ip_tables x_tables vfat fat dm_mirror dm_multipath dm_mod ppdev
parport_pc parport snd_intel8x0 snd_ac97_codec ac97_bus sata_promise
snd_seq_dummy sg snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device
dvb_usb_af9005_remote snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd button
dvb_usb_af9005 soundcore dvb_usb dvb_core snd_page_alloc forcedeth i2c_nforce2
i2c_core sr_mod cdrom ata_generic pata_amd pata_acpi libata sd_mod scsi_mod ext3
jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: scsi_wait_scan]
Apr 14 16:07:52 alpha9 kernel: 
Apr 14 16:07:52 alpha9 kernel: Pid: 3521, comm: X Not tainted
(2.6.25-0.218.rc8.git7.fc9.i686 #1)
Apr 14 16:07:52 alpha9 kernel: EIP: 0060:[<f8bdf4e2>] EFLAGS: 00013282 CPU: 0
Apr 14 16:07:52 alpha9 kernel: EIP is at radeon_driver_lastclose+0x17/0x31 [radeon]
Apr 14 16:07:52 alpha9 kernel: EAX: f8a45898 EBX: f6b29000 ECX: c18096dc EDX:
f8bdf4cb
Apr 14 16:07:52 alpha9 kernel: ESI: f6b29000 EDI: f6af4200 EBP: f5966eac ESP:
f5966ea8
Apr 14 16:07:52 alpha9 kernel: DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Apr 14 16:07:52 alpha9 kernel: Process X (pid: 3521, ti=f5966000 task=f6396000
task.ti=f5966000)
Apr 14 16:07:52 alpha9 kernel: Stack: f6b29000 f5966ec8 f8bb2611 00003286
f8bb2d40 f6b29008 f6b29000 f6af4200 
Apr 14 16:07:52 alpha9 kernel: f5966ef8 f8bb2d93 f5ab9500 f6b29104 f6b290f8
f6b2900c 00000008 f6ae7920 
Apr 14 16:07:52 alpha9 kernel: f6af4228 00000008 f6ae7920 f5ab9500 f5966f18
c048338d f7726440 f78dfc00 
Apr 14 16:07:52 alpha9 kernel: Call Trace:
Apr 14 16:07:52 alpha9 kernel: [<f8bb2611>] ? drm_lastclose+0x4c/0x250 [drm]
Apr 14 16:07:52 alpha9 kernel: [<f8bb2d40>] ? drm_release+0x33f/0x3a7 [drm]
Apr 14 16:07:52 alpha9 kernel: [<f8bb2d93>] ? drm_release+0x392/0x3a7 [drm]
Apr 14 16:07:52 alpha9 kdm: :0[3982]: Cannot connect to :0, giving up
Apr 14 16:07:52 alpha9 kernel: [<c048338d>] ? __fput+0xad/0x151
Apr 14 16:07:52 alpha9 kernel: [<c0483448>] ? fput+0x17/0x19
Apr 14 16:07:52 alpha9 kernel: [<c0480ba3>] ? filp_close+0x50/0x5a
Apr 14 16:07:52 alpha9 kernel: [<c0428c48>] ? put_files_struct+0x68/0xaa
Apr 14 16:07:52 alpha9 kernel: [<c0428cc1>] ? __exit_files+0x37/0x3c
Apr 14 16:07:52 alpha9 kernel: [<c042a045>] ? do_exit+0x207/0x554
Apr 14 16:07:52 alpha9 kernel: [<c042a400>] ? do_group_exit+0x6e/0x85
Apr 14 16:07:52 alpha9 kernel: [<c042a42a>] ? sys_exit_group+0x13/0x15
Apr 14 16:07:52 alpha9 kernel: [<c0405cf6>] ? syscall_call+0x7/0xb
Apr 14 16:07:52 alpha9 kernel: =======================
Apr 14 16:07:52 alpha9 kdm[3519]: Display :0 cannot be opened
Apr 14 16:07:52 alpha9 kdm[3519]: Unable to fire up local display :0; disabling.
Apr 14 16:07:52 alpha9 kernel: Code: f8 68 c7 63 be f8 e8 20 f5 a4 c7 b8 ea ff
ff ff 59 5b eb c3 55 89 e5 53 89 c3 8b 80 2c 02 00 00 85 c0 74 17 8b 40 30 85 c0
74 10 <83> b8 70 05 00 00 00 74 07 89 d8 e8 e7 79 ff ff 89 d8 e8 e0 66 
Apr 14 16:07:52 alpha9 kernel: EIP: [<f8bdf4e2>]
radeon_driver_lastclose+0x17/0x31 [radeon] SS:ESP 0068:f5966ea8
Apr 14 16:07:52 alpha9 kernel: ---[ end trace 96d677d37ca6cca2 ]---
Apr 14 16:07:52 alpha9 kernel: Fixing recursive fault but reboot is needed!
Comment 6 Rex Dieter 2008-04-14 14:45:12 EDT
rpm -q kernel xorg-x11-drv-ati
Comment 7 dex 2008-04-14 14:49:33 EDT
xorg-x11-drv-ati-6.8.0-10.fc9.i386
Comment 8 dex 2008-04-14 14:53:30 EDT
kernel-2.6.25-0.218.rc8.git7.fc9.i686
Comment 9 Bug Zapper 2008-05-14 04:33:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 dex 2008-05-18 17:58:42 EDT
Ok I'm closing this bug as somebody gifted me a 1440x900 hpw19 and kde4 pops
right up. Thanks for comming?  

Note You need to log in before you can comment on or make changes to this bug.